<?php
if( !empty( $_POST['update'] ) ){
	$option = array();
	if( !empty( $_POST['account_id'] ) ){
		$option['account_id'] = sanitize_text_field( $_POST['account_id'] );
	}
	if( !empty( $_POST['campaign_id'] ) ){
		$option['campaign_id'] = sanitize_text_field( $_POST['campaign_id'] );
	}

	update_option( 'woo_dognet', $option );
}

$option = get_option( 'woo_dognet' );
?>

<div class="wrap">

	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
  
  	<div class="clear"></div>

	<div class="t-col-12">
    	<div class="toret-box box-info">
      		<div class="box-header">
        		<h3 class="box-title">Dognet nastavení</h3>
      		</div>
      		<div class="box-body">
        		<form method="post">
        			<table class="table-bordered">
          				<tr>
            				<th><?php _e('Dognet account id', $this->plugin_slug); ?></th>
            				<td>
              					<input type="text" name="account_id" value="<?php if( !empty( $option['account_id'] ) ){ echo $option['account_id']; } ?>" />
            				</td>
          				</tr>
          				<tr>
            				<th><?php _e('Dognet campaign id', $this->plugin_slug); ?></th>
            				<td>
              					<input type="text" name="campaign_id" value="<?php if( !empty( $option['campaign_id'] ) ){ echo $option['campaign_id']; } ?>" />
            				</td>
          				</tr>
        			</table>
        			<input type="hidden" name="update" value="ok" />
        			<input type="submit" class="btn btn-info" value="<?php _e( 'Uložit nastavení', $this->plugin_slug ); ?>" />
        		</form>
      		</div>
    	</div>
  	</div>
  	<div class="clear"></div>

  		 

</div>
